Name:           python-gnupg
Version:        0.5.2
Release:        %mkrel 2
Summary:        Python module for GnuPG
Group:          Development/Python
License:        BSD
URL:            https://pythonhosted.org/python-gnupg/
Source0:        https://pypi.python.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz
BuildArch:      noarch
Requires:       gnupg2

%description
GnuPG bindings for Python. This uses the gpg command.

%package -n python3-gnupg
Summary:        Python3 module for GnuPG
Group:          Development/Python
BuildRequires: pyproject-rpm-macros
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-gnupg}
Requires:       gnupg2

%description -n python3-gnupg
GnuPG bindings for Python3. This uses the gpg command.

%prep
%setup -q

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files gnupg

%files -n python3-gnupg -f %{pyproject_files}
%doc README.rst
%license LICENSE.txt




%changelog
* Sat Mar 01 2025 wally <wally> 0.5.2-2.mga10
+ Revision: 2155018
- rebuild for python3.13

* Tue May 14 2024 papoteur <papoteur> 0.5.2-1.mga10
+ Revision: 2064123
- new version 0.5.2

* Wed Dec 20 2023 tv <tv> 0.5.0-2.mga10
+ Revision: 2020369
- Rebuild for python 3.12

* Wed Sep 07 2022 neoclust <neoclust> 0.5.0-1.mga9
+ Revision: 1884875
- New version  0.5.0

* Mon Mar 21 2022 umeabot <umeabot> 0.4.7-3.mga9
+ Revision: 1816096
- Mageia 9 Mass Rebuild

* Sat Feb 12 2022 tv <tv> 0.4.7-2.mga9
+ Revision: 1773598
- Rebuild for python-3.10

* Sun Mar 21 2021 daviddavid <daviddavid> 0.4.7-1.mga9
+ Revision: 1706617
- new version: 0.4.7

* Sun Mar 21 2021 daviddavid <daviddavid> 0.4.6-2.mga9
+ Revision: 1706612
- rebuild for python 3.9

* Wed Sep 09 2020 guillomovitch <guillomovitch> 0.4.6-1.mga8
+ Revision: 1623951
- new version 0.4.6

* Sun Feb 16 2020 umeabot <umeabot> 0.4.5-2.mga8
+ Revision: 1530999
- Mageia 8 Mass Rebuild

* Sun Sep 08 2019 wally <wally> 0.4.5-1.mga8
+ Revision: 1438381
- new version 0.4.5
- drop python2 support
- rebuild for python3.8

* Mon Feb 11 2019 wally <wally> 0.4.4-1.mga7
+ Revision: 1365288
- new version 0.4.4 to fix CVE-2019-6690 (mga#24341)

* Wed Jan 09 2019 shlomif <shlomif> 0.4.3-3.mga7
+ Revision: 1353197
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.4.3-2.mga7
+ Revision: 1288926
- Mageia 7 Mass Rebuild

* Sun Jun 17 2018 wally <wally> 0.4.3-1.mga7
+ Revision: 1237364
- new version 0.4.3
  - migitates effects of CVE-2018-12020 (mga#23162)

* Mon May 07 2018 wally <wally> 0.4.0-1.mga7
+ Revision: 1227543
- new version 0.4.0
- require gnupg2

* Sat Aug 05 2017 pterjan <pterjan> 0.3.8-3.mga7
+ Revision: 1135439
- Rebuild for python 3.6

* Sat Feb 20 2016 umeabot <umeabot> 0.3.8-2.mga6
+ Revision: 972138
- Mageia 6 Mass Rebuild

* Wed Oct 28 2015 philippem <philippem> 0.3.8-1.mga6
+ Revision: 896104
- update to 0.3.8

* Sat Oct 10 2015 tv <tv> 0.3.6-5.mga6
+ Revision: 888804
- adjust file list
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 0.3.6-4.mga5
+ Revision: 738850
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.3.6-3.mga5
+ Revision: 728585
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.3.6-2.mga5
+ Revision: 688056
- Mageia 5 Mass Rebuild

* Wed Sep 03 2014 philippem <philippem> 0.3.6-1.mga5
+ Revision: 671491
- imported package python-gnupg

